<div class='header-block'>
	{{!-- Character Name --}}
	<section class='identifier' name='identifier'>
		<h1 class='character-name'><input class='no-null' name='name' data-dtype='String' value='{{actor.name}}'></input></h1>
	</section>

	<div class='base-data data-block vblock' name='base'>
		{{!-- Gender, Class, etc. --}}
		<section class='joined classes'>
			{{#if system.details.gender}}
			<value name='details.gender'>{{system.details.gender}}</value>;
			{{/if}}

			<ol class='values slashed'>
			{{#each allClasses}}
				<li class='gapped'>
					<span class='name'>{{name}}</span>
					<value class='box level'>{{system.level}}</value>
				</li>
			{{/each}}
			</ol>
		</section>

		{{!-- Alignment and Race --}}
		<section class='joined'>
			{{#unless actor.hasPlayerOwner}}<value name='details.xp.value'>{{system.details.xp.value}} {{localize 'Koboldworks.Missing.PF1.ExperienceShort'}}</value>;{{/unless}}
			<span class='alignment'>
				<value name='details.alignment' class='highlight'>{{lookup config.alignments actor.system.details.alignment}}</value>
			</span>
			{{#if actor.race~}}
			<section name='race'>
				<action data-category="other" data-key="item" data-item-id="{{actor.race.id}}" class='edit-only'><value name='race' class='race edit-only'>{{actor.race.name}}</value></action>
				<span class='types'>
					<value name='race.data.creatureType' class='type highlight'>{{lookup config.creatureTypes actor.race.system.creatureType}}</value>
					{{#if t.subTypes~}}
					(<ol name='subtypes' class='values'>
						{{~#each actor.race.system.subTypes as |v|~}}
						<li><value class='subtype highlight'>{{v}}</value></li>
						{{/each~}}
					</ol>)
					{{~/if}}
				</span>
			</section>
			{{~/if}}
		</section>

		{{!-- Init & Perception --}}
		<div class='engagement joined'>
			<label>{{localize 'Koboldworks.Missing.PF1.InitiativeShort'}}</label> <action data-category='init'><value data-source='init' name='attributes.init.total'>{{numberFormat system.attributes.init.total decimals=0 sign=true}}</value></action>;
			<section name='senses' class='senses'>
				<label for='skills.per.mod'>{{localize 'PF1.SkillPer'}}</label>
				<action data-category='skill' data-key='per'><value data-category='skill' data-key='per' name='skills.per.mod'>{{numberFormat system.skills.per.mod decimals=0 sign=true}}</value></action>
				{{~#with t.senses}}
				{{~#if enabled}}
					(<ul name='subtypes' class='values subtypes'>
					{{#if dv}}
					<li class='sense darkvision' data-tooltip='PF1.SenseDV'>
						<value class='highlight' data-category='sense' name='sense.dv'>{{dv}} ft. DV</value>
					</li>{{/if}}
					{{#if ll.enabled}}
					<li class='sense low-light' data-tooltip='PF1.SenseLL'>
						<value class='highlight' data-category='sense' name='sense.ll'>{{#if (ne ll.multiplier.bright 2)}}{{ll.multiplier.bright}}×{{#if (ne ll.multiplier.bright ll.multiplier.dim)}}/{{ll.multiplier.dim}}×{{/if}} {{/if}}LL</value>
					</li>
					{{/if}}
					{{#if bse}}
					<li class='sense blindsense' data-tooltip='PF1.SenseBSense'>
						<value class='highlight' data-category='sense' name='sense.bse'>{{bse}} BSns</value>
					</li>{{/if}}
					{{#if bs}}
					<li class='sense blindsight' data-tooltip='PF1.SenseBS'>
						<value class='highlight' data-category='sense' name='sense.bs'>{{bs}} BSht</value>
					</li>
					{{/if}}
					{{#if ts}}
					<li class='sense tremorsense' data-tooltip='PF1.SenseTS'>
						<value class='highlight' data-category='sense' name='sense.ts'>{{ts}} Trmr</value>
					</li>{{/if}}
					{{#if tr}}
					<li class='sense truesight' data-tooltip='PF1.SenseTR'>
						<value class='highlight' data-category='sense' name='sense.tr'>True</value>
					</li>
					{{/if}}
					{{#if si}}
					<li class='sense see-invisible' data-tooltip='PF1.SenseSI'>
						<value class='highlight' data-category='sense' name='sense.si'>SI</value>
					</li>
					{{/if}}
					{{#if sid}}
					<li class='sense see-in-darkness' data-tooltip='PF1.SenseSID'>
						<value class='highlight' data-category='sense' name='sense.sid'>SID</value>
					</li>
					{{/if}}
					{{#each custom as |sense|}}
					<li class='sense'>
						<value class='highlight custom' data-category='sense' name='sense.custom[]'>{{sense}}</value>
					</li>
					{{/each}}
					</ul>)
				{{~/if}}
				{{~/with~}}
			</section>
		</div>

		{{!-- Size & Speed --}}
		<div>
			<label for='traits.size'>{{localize 'PF1.Size'}}</label>
			<value class='highlight' data-key='size' name='traits.size'>{{lookup config.actorSizes actor.system.traits.size}}</value>;

			<label for='speed'>{{localize 'PF1.Speed'}}</label>
			<ol name='speed' class='values'>
			{{~#each t.speeds as |speed key|~}}
				<li name='{{key}}'>{{#if (ne key "land")}}{{localize speed.label}} {{/if~}}
					<value class='highlight' data-category='speed' data-key='{{key}}' name='speed.{{key}}'>{{speed.value}}</value> ft
					{{~#if speed.maneuverability}} (<value name='maneuverability' class='highlights'>{{speed.maneuverability}}</value>){{/if~}}
				</li>
			{{/each}}
			</ol>
		</div>
	</div>
</div>

{{!-- Mini Floating Box --}}
<div name='minibox'>
	{{!-- Hit Dice & Mythic Tier --}}
	<div class='hd-box'>
		<div class='field flexrow' name='hd-box'>
			<label for='system.attributes.hd.total'>{{localize 'PF1.HitDieShort'}}</label>
			<value class='box total' name='system.attributes.hd.total'>{{system.attributes.hd.total}}</value>
		</div>
		{{#if system.details.mythicTier}}
		<div class='field flexrow' name='mt-box'>
			<label for='system.details.mythicTier'>{{localize 'Koboldworks.Missing.PF1.MythicTierShort'}}</label>
			<value class='box total' name='system.details.mythicTier'>{{system.details.mythicTier}}</value>
		</div>
		{{/if}}
		{{#if isNPC}}
		<div class='field flexrow' name='cr-box'>
			<label for='system.details.cr.total'>{{localize 'PF1.ChallengeRatingShort'}}</label>
			<value class='box total' name='system.details.cr.total'>{{system.details.cr.total}}</value>
		</div>
		{{/if}}
	</div>

	{{!-- Actions --}}
	<div class='actions'>
		<action data-category="action" data-key="rest" class='button wide'><i class='fas fa-bed'></i> {{localize 'PF1.Rest'}}</action>
	</div>
</div>
